PHPExcel_Shared_File

category | PHPExcel
package | PHPExcel_Shared
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Verify if a file exists

    file_exists(string $pFilename) : bool

Static

### Parameters

#### $pFilename

`string`

Filename

### Returns

`bool`

## Get the flag indicating whether the File Upload Temp directory should be used for temporary files

    getUseUploadTempDirectory() : boolean

Static

### Returns

`boolean`Use File Upload Temporary directory (true or false)

## Returns canonicalized absolute pathname, also for ZIP archives

    realpath(string $pFilename) : string

Static

### Parameters

#### $pFilename

`string`

### Returns

`string`

## Set the flag indicating whether the File Upload Temp directory should be used for temporary files

    setUseUploadTempDirectory(boolean $useUploadTempDir)

Static

### Parameters

#### $useUploadTempDir

`boolean`

Use File Upload Temporary directory (true or false)

## Get the systems temporary directory.

    sys_get_temp_dir() : string

Static

### Returns

`string`

### Properties

##

    $_useUploadTempDirectory